(defvar title "$B@+L>H=CG(B    for NEmacs. (C) yoshinov@aa.cs.keio.ac.jp")
(defvar version "ver 1.02e (1993.7)")
(defvar patches "add seimei-region by by akiba@aa.cs.keio.ac.jp")
(defvar original "$B@+L>H=CG(B  version 1.02 Copyright(C) 1991 S.Ameno, $BBtEO9a@!(B")

;;
;; $B@+L>H=CG(B for NEmacs version. by yoshinov@aa.cs.keio.ac.jp
;;
;; 1. How to setup....($B@_DjJ}K!(B)
;;     $B$"$J$?$N(B.emacs$B$K0J2<$N0l9T$rF~$l$F$/$@$5$$!#(B
;; (autoload 'seimei "seimei" "seimei" t)
;; $B$b$A$m$s!"(Bload-path$B$G8!:w$G$-$k%G%#%l%/%H%j$K(Bseimei.el$B$rF~$l$F$/$@$5$$!#(B
;;
;; 2. How to use......($B;HMQJ}K!(B) $B<!$NFsDL$j$G$9!#(B
;; a)
;;    M-x seimei
;; b)
;;    $B@+$HL>$N4V$K6uGr$r$"$1$F=q$-!"$=$3$K(Bregion$B$r@_Dj$7$F$+$i(B
;;    M-x seimei-region
;;
;; 3. Bugs and other info.
;;   seimei.c $B$H$O!"F@E@$N7W;;@:EY$,0[$J$j$^$9!#(Bel$B$GIbF0>.?tE@$O!D(B(;_;)
;;   $BJ8;z$,(B81$B2h0J>e$NL>A0$O(B1$B2h$KLa$j$^$9!#(B
;;   $B4A;z2h?t<-=q(Bbuffer$B$O!"=*N;;~$K$b(Bkill-buffer$B$5$l$^$;$s!#(B(for $B:FMxMQ(B)
;;
;;   $B%(%i!<(B$B$,=P$?>l9g$K$O$*CN$i$;2<$5$$!#(B
;;

(defvar Seimei-Kanji-Kakusuu-Dic-Buffer "*$B4A;z2h?t<-=q(B*"
  "*Buffer name for $B4A;z2h?t<-=q(B*")
(defvar Float-Buffer "*$BIbF0>.?tE@1i;;MQ(B*"
  "*Buffer name for $BIbF0>.?tE@1i;;MQ(B*")
(defvar Seimei-TMPBUFFER "*SEIMEI-tmpbuf*"
  "*Buffer name for $BJ8;zNs$ND9$57W;;MQ(B*")

(defun seimei-region (start end)
  (interactive "r")
  (let ((start (min (point)(mark)))
        (end (max (point)(mark)))
        (seimei-str (buffer-substring start end))
        (sei "")(mei ""))
    (string-match " " seimei-str)
    (setq sei (substring seimei-str 0 (match-beginning 0)))
    (setq mei (substring seimei-str (match-end 0) nil))
    (seimei sei mei)))

(defun seimei (sei mei)
  "$B@+L>H=CG$r9T$$$^$9!#(B"
  (interactive "S$B@+L>H=CG(B:$B!V@+!W$r$I$&$>(B>\nS$B<!$K!VL>!W$r$I$&$>(B>")
  (setup-dic) ;$B<-=q%P%C%U%!$N@_Dj(B
;  (my-debugger-setup)
  (let ((res (get-buffer-create "*$B@+L>H=CG(B*"))
	(dic (get-buffer Seimei-Kanji-Kakusuu-Dic-Buffer))
	(seimeilist nil)(seimeilen nil)(seimeikaku nil)(tmpkaku nil)
	(tmp 0)(point0 0)(point1 0)(point2 0)(point3 0)(point4 0)(smsum 0)
	(slc 0)(lc 0))
    (setq seimeilist (list (format "%s" sei) (format "%s" mei)))
    (setq seimeilen (list (strlen sei) (strlen mei)))
    (set-buffer dic)
    (while (< slc 2) ;$B@+$HL>$G(B2$B2s%k!<%W$9$k!#(B
      (while (not (eq (car seimeilen) lc))
	(goto-char (point-min))
	(if (search-forward
	     (substring (car seimeilist) lc (+ lc 2)) (point-max) t)
	    (setq tmpkaku (append tmpkaku
				  (list (count-lines (point-min) (point)))))
	  (seimei-sorry-poor-dic))
	(setq lc (+ lc 2)))
      (setq seimeilist (cdr seimeilist));$BL>$r%;%C%H!#(B
      (setq seimeilen (cdr seimeilen)) ;$BL>(B($B$ND9$5(B)$B$r%;%C%H!#(B
      (setq seimeikaku (append seimeikaku (list tmpkaku)))
      (setq tmpkaku nil)
      (setq lc 0)
      (setq slc (1+ slc)))
    (setq smsum ;$B@+2h?t9g7W$HL>2h?t9g7W$r%j%9%H$K3JG<!#(B
	  (list (addcell (car seimeikaku))
		(addcell (car (cdr seimeikaku)))))
    (set-buffer res)
    (erase-buffer)
    (insert (format "%s\n\t\t\t\t\t%s\n" title version))
    (insert (format "***** %s %s *****\n" sei mei))
    
    (setq tmp (+ (car smsum)(car (cdr smsum))))
    (if (< 81 tmp) (setq tmp (- tmp 80)))
    (setq point0 (car (cdr (nth tmp unsei))))
    (insert (format "$BAm1?(B %2d$B2h(B $BAm9g(B  \t %s\n" tmp (car (nth tmp unsei))))
    
    (setq tmp (car smsum))
    (if (< 81 tmp) (setq tmp (- tmp 80)))
    (setq point1 (car (cdr (nth tmp unsei))))
    (insert (format "$BE71?(B %2d$B2h(B $B@hAD1?(B\t %s\n" tmp (car (nth tmp unsei))))
    
    (setq tmp (car (cdr smsum)))
    (if (< 81 tmp) (setq tmp (- tmp 80)))
    (setq point2 (car (cdr (nth tmp unsei))))
    (insert (format "$BCO1?(B %2d$B2h(B $B8D@-(B  \t %s\n" tmp (car (nth tmp unsei))))
    
    (setq tmp (+ (car (reverse (car seimeikaku)))(car (car (cdr seimeikaku)))))
    (if (< 81 tmp) (setq tmp (- tmp 80)))
    (setq point3 (car (cdr (nth tmp unsei))))
    (insert (format "$B?M1?(B %2d$B2h(B $B<R2q@-(B\t %s\n" tmp (car (nth tmp unsei))))
    
    (setq tmp (+ (if (null (cdr (reverse (car seimeikaku))))
		     (car (car seimeikaku))
		   (addcell (cdr (reverse (car seimeikaku)))))
		 (if (null (cdr (car (cdr seimeikaku))))
		     (car (car (cdr seimeikaku)))
		   (addcell (cdr (car (cdr seimeikaku)))))))
    (if (< 81 tmp) (setq tmp (- tmp 80)))
    (setq point4 (car (cdr (nth tmp unsei))))
    (insert (format "$B301?(B %2d$B2h(B $B4D6-1?(B\t %s\n" tmp (car (nth tmp unsei))))

    
    (setup-float-buffer)
    (insert (format "$BAm1?(B+$B?M1?(B "))
    (insert-power (* point0 point3) Pow1/2-7)
    (insert (format "  $BE71?(B+$BCO1?(B+$B301?(B "))
;    (debugger-insert (format "1 %s 2 %s 4 %s = %s" point1 point2 point4 (* (* point1 point2) point4) ))
    (insert-power (* (* point1 point2) point4) Pow1/3-3)
    (insert (format "  $BF@E@(B " ))
    (insert-float-add)
    (delete-other-windows (selected-window))
    (set-window-buffer (split-window (selected-window)) res)
    (seimei-fin)))

(defun insert-float-add ()
  (let ((afbuf (get-buffer Float-Buffer))
	(cbuf nil)
	(tmp 0)
	(upper 0)
	(lower 0))
    (setq cbuf (current-buffer))
    (set-buffer afbuf)
    (goto-char (point-min))
    (setq tmp (read afbuf))
    (next-line 1)
    (beginning-of-line)
    (setq upper (+ tmp (read afbuf)))
    (goto-char (point-min))
    (read afbuf)
    (setq tmp (read afbuf))
    (read afbuf)
    (setq lower (+ tmp (read afbuf)))
    (if (< 10 lower)
	(progn
	  (setq upper (1+ upper))
	  (setq lower (- lower 10))))
    (insert-string-to-buffer  cbuf
			      (format "%s.%s\n" upper lower))))

(defun setup-float-buffer ()
  (save-excursion
    (let ((tmp (get-buffer-create Float-Buffer)))
      (set-buffer tmp)
      (erase-buffer))))

(defun insert-power (num var)
  "var = Pow1/2-7 : sqrt(num) * 0.7$B$H$$$&1i;;$N7k2L$r(BC$B%P%C%U%!$K=PNO!#(B
   var = Pow1/3-3 : pow(num, 1/3) * 0.3$B$H$$$&1i;;$N7k2L$r(BC$B%P%C%U%!$K=PNO!#(B
   $B99$K!"2C;;%P%C%U%!$K$b=PNO$9$k!#(B"
  (interactive "P")
  (let ((afbuf (get-buffer-create Float-Buffer))
	(flag t))
    (while flag
      (if (eq (car var) nil)
	  (setq flag nil)
	(if (eq (car (car var)) num)
	    (progn
	      (insert (format "%s" (car (cdr (car var)))))
	      (insert-string-to-buffer afbuf
				       (format "%s\n" (car (cdr (car var)))))
	      (setq flag nil))
	  (setq var (cdr var)))))))

(defun insert-string-to-buffer (buf str)
  (interactive "P")
  (save-excursion
    (set-buffer buf)
    (insert str)))

(defun addcell (lst)
  "lst$B$KM?$($i$l$?%j%9%H$NMWAG$rA4$F9g7W$7$^$9!#(B"
  (let ((tmp 0))
    (mapcar (function (lambda (n) (setq tmp (+ tmp n)))) lst)
    tmp))

(defun seimei-sorry-poor-dic ()
  (message "I'm sorry, but I have a poor dictionary...\n" )
  (seimei-quit))

(defun seimei-fin ()
  (let ((tmp (get-buffer Seimei-TMPBUFFER))
	(afc (get-buffer Float-Buffer)))
    (kill-buffer tmp)
    (kill-buffer afc)))

(defun seimei-quit ()
  (let ((res (get-buffer "*$B@+L>H=CG(B*"))
	(dic (get-buffer Seimei-Kanji-Kakusuu-Dic-Buffer))
	(dbg))
    (seimei-fin)
    (kill-buffer res)
    (kill-buffer dic)
    (if (get-buffer "*debugger*")
	(kill-buffer (get-buffer "*debugger*")))))
    
(defun setup-dic ()
  "$B4A;z2h?t<-=q$r@_Dj$7$^$9!#4{$KF1L>$N%P%C%U%!$,$"$k;~$K$O:FMxMQ$7$^$9!#(B"
  (if (not (get-buffer Seimei-Kanji-Kakusuu-Dic-Buffer))
      (let ((dic (get-buffer-create Seimei-Kanji-Kakusuu-Dic-Buffer))
	    (sklist Seimei-Kaku-list))
	(set-buffer dic)
	(while sklist
	  (insert (format "%s" (car sklist)))
	  (setq sklist (cdr sklist)))
	(setq buffer-read-only t))))

(defun strlen (str)
  "$BJ8;zNs$ND9$5$r?t$($^$9!#(B"
  (interactive "P")
  (save-excursion
    (let ((tmpbuf (get-buffer-create Seimei-TMPBUFFER)))
      (set-buffer tmpbuf)
      (erase-buffer)
      (insert (format "%s" str))
      (1- (point-max)))))

;(defun new-get-buffer-create (buf)
;  "$B4{$KF1L>$N%P%C%U%!$,$"$k$H$-$K$O!"$=$l$r>C$7$F$+$i:n$jD>$7$^$9!#(B"
;  (interactive "P")
;  (if (not (eq (get-buffer buf) nil))
;      (kill-buffer buf))
;  (get-buffer-create buf))

(defun my-debugger-setup ()
  "$B<+J,$G$D$/$i$J!"$"$+$s$H$O!D!#(B"
  (save-excursion
    (let ((tmp (get-buffer-create "*debugger*")))
      (set-buffer tmp)
      (erase-buffer))))

(defun debugger-insert (str)
  "$BJ8;zNs$r0z?t$K$H$C$F!"(B*debugger* buffer$B$K=q$-=P$9!#(B"
  (interactive "P")
  (save-excursion
    (let ((debugger (get-buffer "*debugger*")))
      (set-buffer debugger)
      (insert str))))

(defvar Pow1/2-7 '( (25 "3.5") (50 "5.0") (100 "7.0")
		   (200 "9.9") (400 "14.0") (500 "15.7")
		   (800 "19.8") (1000 "22.1") (1600 "28.0")
		   (3200 "39.6") (4000 "44.3") (6400 "56.0")
		   (8000 "62.6") (10000 "70.0")))

(defvar Pow1/3-3 '( (125 "1.5") (250 "1.9") (500 "2.4")
		  (1000 "3.0") (2000 "3.8") (2500 "4.1")
		  (4000 "4.8") (5000 "5.1") (8000 "6.0")
		  (10000 "6.5") (16000 "7.6") (20000 "8.1")
		  (32000 "9.5") (40000 "10.3") (50000 "11.1")
		  (64000 "12.0") (80000 "12.9") (100000 "13.9")
		  (128000 "15.1") (160000 "16.3") (256000 "19.0")
		  (320000 "20.5") (400000 "22.1") (512000 "24.0")
		  (640000 "25.9") (800000 "27.8") (1000000 "30.0")))

(defvar unsei '(
  	(""  100)
	("$B@*$$$N$"$k5H?t(B"  80)
	("$BJLN%$r$7$$$i$l$k6'?t(B"  10)
	("$BD4OB$H0BDj$N5H?t(B"  80)
	("$BGKLG$N?M@8$r>7$/6'?t(B"  10)
	("$B6Q9U$rF@$k5H?t(B"  80)
	("$B7C$_$KK~$A$?5H?t(B"  80)
	("$BGHMp$r9n$9$kM&LT$N5H?t(B"  80)
	("$BG&BQ$,H/E8$r@8$`5H?t(B"  80)
	("$BIT6x$H8IFH$r0E<($9$k6'?t(B"  10)
	("$B$9$Y$F$,6uGy$K5"$9$kBg6'?t(B"  5)
	("$B$?$/$^$7$$@.D9$r?k$2$k5H?t(B"  80)
	("$B0U;VGv<e$G:C@^$9$k6'?t(B"  10)
	("$B:MG=$K7C$^$l$?5H?t(B"  80)
	("$B6lO+$NB?$$Hs1?$N6'?t(B"  10)
	("$BCe!9$HH/E8$9$k5H?t(B"  80)
	("$B7C$^$l$?6-6x$rF@$k5H?t(B"  80)
	("$B9d5#$G5$Gw$N$"$k5H?t(B"  80)
	("$B:MCN$H9TF0NO$KIY$`5H?t(B"  80)
	("$BL$40$NBg4o$K=*$o$kH>5H?t(B"  40)
	("$BGKC>$H8I=%$N6'?t(B"  10)
	("$BFHN)$H8yL>$N5H?t(B"  80)
	("$BL5NO46$KG:$^$5$l$k6'?t(B"  10)
	("$BD+F|$,>:$k@*$$$N5H?t(B"  80)
	("$B?M$HJ*$K7C$^$l$kBg5H?t(B"  100)
	("$B>!5$$K2a$.$FB;$9$kH>5H?t(B"  40)
	("$BGHMp$H0[JQ$N6'?t(B"  10)
	("$B6/>p$,IT1?$r>7$/H>5H?t(B"  40)
	("$BJQ?M4q1?$NBg6'?t(B"  5)
	("$B5u1I$,:R$$$9$kH>5H?t(B"  40)
	("$B;nN}$,@9?j$r7h$a$kH>5H?t(B"  40)
	("$B7x<B$K@.8y$r$D$+$`Bg5H?t(B"  100)
	("$B0U30$J9,1?$K7C$^$l$k5H?t(B"  80)
	("$B2&<T$NIw3J$"$U$l$kBg5H?t(B"  100)
	("$B6lG:$HHaDK$NBg6'?t(B"  5)
	("$BCN@-!&46@-$KIY$`5H?t(B"  80)
	("$BL5KE$,:R$$$r>7$/6'?t(B"  10)
	("$B6PJY!&<BD>$J5H?t(B"  80)
	("$B0l7]$K=($G$k5H?t(B"  80)
	("$B1I2Z$r$-$o$a$kBg5H?t(B"  100)
	("$BK}?4$,E($r$D$/$kH>5H?t(B"  40)
	("$B8-L@$JBP1~$G@.8y$9$k5H?t(B"  80)
	("$B:MG=$r@8$+$;$J$$H>5H?t(B"  40)
	("$B:b1?$K8+N%$5$l$kH>5H?t(B"  40)
	("$B<:0U$KBG$A$N$a$5$l$k6'?t(B"  10)
	("$B6lFq$r9nI~$G$-$k5H?t(B"  80)
	("$BL@0E$NCx$7$$H>5H?t(B"  40)
	("$BG04j$,@.="$9$k5H?t(B"  80)
	("$B:MCN$HFA$rHw$($?5H?t(B"  80)
	("$BMn:9$N7c$7$$H>5H?t(B"  40)
	("$B9,1?$,D9B3$-$7$J$$H>5H?t(B"  40)
	("$B5H6'$NGH4V$KIb$+$VH>5H?t(B"  40)
	("$BI8E*$r<M;_$a$kBg5H?t(B"  100)
	("$B8+1I$K6l$7$`H>5H?t(B"  40)
	("$B:RLqB3$-$NHa;4$JBg6'?t(B"  5)
	("$B6KC<$K$O$7$j$d$9$$H>5H?t(B"  40)
	("$B<:0U$HL5NO$N6'?t(B"  5)
	("$B4uK>$N8w$KK~$A$?5H?t(B"  80)
	("$B6lG:$N8e$K9,J!$,BT$D5H?t(B"  80)
	("$B@:?@NO$N<e$5$GGTKL$9$k6'?t(B"  10)
	("$B<+9{$r<+2|$7$FH/E8$9$k5H?t(B"  80)
	("$B7W2hE]$l$K$J$j$,$A$JH>5H?t(B"  40)
	("$B=gD4$KH/E8$9$kBg5H?t(B"  100)
	("$B?jB`$r$?$I$k6'?t(B"  10)
	("$B?7NP$N51$-$rJ|$DBg5H?t(B"  100)
	("$BLnK>$D$$$($k6'?t(B"  10)
	("$B9,1?$KMa$9$k5H?t(B"  80)
	("$BEXNO$,I,$:Js$o$l$k5H?t(B"  80)
	("$B5gK3!&=BBZ$N6'?t(B"  10)
	("$BGKLG$K8~$+$&Bg6'?t(B"  5)
	("$BJ?K^$HG&=>$NH>5H?t(B"  40)
	("$B3N<B$5$K7g$1$kH>5H?t(B"  40)
	("$BHUG/$K1I$($k5H?t(B"  80)
	("$B$&$D$m$J?M@8$rAw$k6'?t(B"  10)
	("$BJ?2:L5;v$J5H?t(B"  80)
	("$B;WN8?<$/JP6~$J6'?t(B"  10)
	("$BL@0E$,8r:x$9$kH>5H?t(B"  40)
	("$B4D6-$KN.$5$l$kH>5H?t(B"  40)
	("$BDy$^$j$N$J$$6'?t(B"  10)
	("$BL50Y!&6uGy$N6'?t(B"  10)
	("$B:G6K!&I|85$NBg5H?t(B"  100)))

(defvar Seimei-Kaku-list '(
	"$B$/$7$D$N$X%N%U%X%l$C!<0l25P&P(P-(B\n"
	"$B$$$&$3$F$H$R$a$j$m$s%"%$%+%/%3%9%;%=%H%J%K%L%O%R%^%`%a%d%f%i%j%k(B"
	"$B%o%s$Z%W%Z$#$%%!%#%c%e!76e<7==?MCzEaFsF~G5H,KNKtN;NOP)P5Q9QDQLQR(B"
	"$BQ\QaR1R8R9R>RGRLRS(B\n"
	"$B$"$($+$1$5$9$;$A$K$L$_$`$b$d$f$h$i$k$l$o%&%(%*%-%1%5%7%?%A%D%F%_(B"
	"$B%b%h%m%r$0$8$E$Y$T%V%Y%Q%T$!$'%%%'%)%C$c$e$g%g!92<434]5W5Z5]6R8J(B"
	"$B8p8}9):5:M;0;3;N;R<[=w>.>e>f?O@#@i@nBgEZG7K4K^K|L&LiM<M?P$P2Q:Qc(B"
	"$BSxTiTjUSU_UwUyV%V_VaVvVxW.W0W5W@WDWF(B\n"
	"$B$*$-$=$?$M$O$U$^$r%M%[$4$G$I$S%,%0%4%:%<%>%I%P%S$)0f0t0z1/1>1_2&(B"
	"$B2=2P2g2p4"5X5m6'6T6h7g7n8$85888M8^8_8a8x8{9&:#;Y;_;a<\<j=:>#>/>i(B"
	"$B?4?N?Q?e@ZAPB@C0CfD$D^E7EMFVFbFwF{F|GCH?HfI$ITIWIcJ)J,J8JRJ}K3LS(B"
	"$BLZL^L`LhLqM'M=O;P!P"P6P:P;P<P=P>QBR@RARFToTpUzV&W7XyY)Z=Z>Z[Z\[)(B"
	"$B]F]U]Y]c`+`-(B\n"
	"$B$J$[$,$2$6$:$<$B$Q$W%.%2%6%8%@%B%E%G%]%t050J1&1,1;1J1z1{2C2D2S30(B"
	"$B3n3p4$4)4E5V5l5n5p6L6g7;7j8<8C8E8y9*9-909C9f9~:8:};%;.;E;F;J;K;M(B"
	"$B;T<(<8<:<L<g<|<}=A=P=h>$?,?=@$@5@8@M@P@g@jAYB>BGBeBfB|B~C!C6D#DT(B"
	"$BDuEDE[E_FLFcFtGrH>HEHHHiI%I,I9IUI[J&J'J:J?JUJ[JjJlJqKLK\KvL$L1L7(B"
	"$BL\LpM3MDMQN)NaNiP#P%P'P1P?P@PAPBQEQFQGQdR2RBRCRHRIRZR[R\R]T)TqUT(B"
	"$BU`UuV'Xz[2b"ghmh(B\n"
	"$B$.$>$@$P$V$]%\00070B0K0P0a0g0r0u0x1%1'1)1*111H1x2>2q2s3%3F4@4L4k(B"
	"$B4l4m4y5$5H5I5Y5[5`5b6$6&6)6+6D6J7:7=7l7o8`8r8w8~9!9%9>9M9T9g:!:1(B"
	"$B:F:_;];`;e;j;z;{<!<)<*<+<.<0<G<i<k=#=.=<=?=H=\=d>">1>g?'?T?W@.@>(B"
	"$B@e@h@mA$A4ATAaAhB8B?BPBpBqC)CDCOCPCSC]CgCnC{D_EAEGEtEvF1FdFrFuFy(B"
	"$BG!G$G/H)H2HAHFH^I4IzJFK;KQKhKrKxL6L>LFLQM-MSMyN>NsNtO7O>OJOKPCPD(B"
	"$BPgQSQTQUQVQ^QeQfR3RDR^T*T+TlTrU!U"V(VtVuWVX{X|Y*Y+Y,Y-Y.Z?[3[4[5(B"
	"$B[6[7]h]i`<f&fPffgggigjiHk(laot(B\n"
	"$B$\0!020I0L0O0e0m1~2-242?2@2V2f2w2|2~3)3-3Q4#404N4^4t4u4w5%585;5Q(B"
	"$B5a5d5f5|686I6Q6\6a6c6j6z7/777A7O7]7^7h8+8@8b8c9#9'9(9396999e9n9p(B"
	"$B:$:3:4:;:A:R:`:c:d:e:n;G;V;Z;d;w;y<5<R<V<]<^<w=(=;=i=u=x>2>6>S>r(B"
	"$B>s>u?-?C?D?H?I?^?a?y@<@V@^AWAvB(B+B-B<BABEBNBrBtC"C$C+CKD.D@DQDc(B"
	"$BDhDnDoEFENEXEjF&FEFSFYF]FaG"G%G&GDGNGdGlG~H4H<H=HPH]H_HcHxI*I^Ig(B"
	"$BJ-J1J<JLJVJcJrK'K.K7K8K:KIKJKWL/L]LaLjLrM$M8M>MEM^M`MhMpMqMxM{N$(B"
	"$BNINbNdNeO$O+O.O4P/PEPFPGPHPIPJQ<QHQWQgQhR"R#R4R:R_R`RaRbRcRdReRf(B"
	"$BRgRhSyT,T-T.T/TcTsU#U$U&U+UUUVU]UxU{V)V*V+V,V`VbVcW1WGWWWXWYWZX-(B"
	"$BY/Y0Y1Y2Y3Y4Y5Y7Y8YFZ@ZAZ][*[8[9[:[;[<[=]g]j]k]l]m]n]o]p]q]r]s]t(B"
	"$B^"`;`=`>`?a#a5a6aKb%b&bccgd}f'fjfkflgkglgniIl5l8n7ouovow(B\n"
	"$B0$08090?0M0Q0W0i1+1K1Q1b1d1h1j1q1w1}2!2"2$2%2,2A2B2L2O2W2X2`2h2j(B"
	"$B2x2}3/3H3X3Y3}4&414_4a4d4q5'5(595@5O5c5o5q5r5}5~6!6"6(61676F6U6b(B"
	"$B6i6l6q6u6~7#757B7T7t8*898F8G8H8Q8T8W8s8z9,9.94979:9N9O9o9q9z9}:%(B"
	"$B:*:+:J:S:h:p:~;2;H;I;O;P;^;c;h;v;x<#<3<B<K<T<Y<c<h<u<v<~=!=G=R=j(B"
	"$B>*>0>5>7>:>;>>>B?b?f?u@)@+@,@-@D@F@N@O@[A;A@AKB4B6BKBRB]BnBsC3C4(B"
	"$BCNChCiCjCmCwD!D9D>DZDjDlDqE!E%E*E3E5E9EJEfElE~FGFMFOFQF`FvF}G0GG(B"
	"$BGHGRGUGoGqGwH!HDHGH`HdHgHnHsHzI=IDI\I]I`IlImInIpI~J(J*J;JBJbJtJu(B"
	"$BJyJzJ|J~K!K"K<KCKRK[KeKgKmKuKwKyL#L(L?L@LHLPLRLULgLkLoL}NSNcNgNj(B"
	"$BO'OBOHP*P3P4PKPLPMPNPOPPPQPRPSPTPUQ;Q=Q@QXQ_QiQjQkR$R%RKRiRjRkRl(B"
	"$BRmRnRpRqRrRsRtRuRvSzT0T2T3T4T5U%U'U(UWU|V-V.V/V0V1V2V3VdVeVfVgW/(B"
	"$BW8W9WHWIWJW[W]W^W`WaWbWeWfWgWhWiWjX}Y6Y9Y:Y;Y>Y@YBYCYDYEYGZ-Z^Z_(B"
	"$BZ`ZaZb[>[?[@[A[B[C[D[E[F[G]G]H][]b]d]u]v]w]x]y]z]{]|]}]~^!^#^$^%(B"
	"$B_U_V`'`(`.`@`Aa$a7aLaMb3bec+c=cVchdbf(f5fmfnfogLgRgogpgqgrgsgtgu(B"
	"$Bgwgxgygzg{g|g}g~iMjNmBmimln8n9n:oxp0p2sk(B\n"
	"$B0#0%0(0+0:0D0R0Y0Z0_0j0q0v0y0}181A1G1I1L1N1V1e20272;2J2M2Q2d2i2v(B"
	"$B2y2z3$3&3'313@3A3W3f3g3h4'4,4/4;4G4H5*505R5T5U5^5h5i5j6.64696N6^(B"
	"$B7)73787?7@7U7W7z8&8)8B8I8L8N8O8U8e8t8|9$9+919?9D9H9S9Y9a9i:(:::=(B"
	"$B:H:U:i:o:r:t;";9;Q;S;W;X;\;}<<<m<s=&='=)=-=6=@=E=K=S=U=b=v><>J>h(B"
	"$B>k>t?!?)?.?/?@?S?c@'@/@1@7@`@k@l@t@u@v@w@|A0ADAUAjApAqAwB%B'B/BH(B"
	"$BBQBTBUB[B`B{C1C:C@CJCcCkClD)D<DADEDIDNDSDbDfDgDkD{E@EYE\F(F6F=FH(B"
	"$BFJFnFzG*G6GIGVGXGYGjGpH*H/H@H\HtH{H}H~I"I'ICIJIiIkIuIwJAJGJQJXJ](B"
	"$BK&K?KAKVKXK_KfKoKsLBLELLLbLmLsLxM&M(M)M.M4MNMWMlN'N7N<NRNhO:ODP7(B"
	"$BPWPXPYPZP\P]P^P_P`QAQIQbQlQmQnQoR&R5RJRMRoRwRxRyRzR{R|R}R~S!S"S#(B"
	"$BS$S%S&S>S{S|T6T7T8T9T:T;TtTuTvTwU)U*U,U-UXU}V"V4V5VyW?WAWKWLWNW_(B"
	"$BWcWdWmWoWpWqWrWtWuWvWwWxY(Y<YAYHYIYJYKYLYNYOZBZQZcZdZeZf[&[+[,[H(B"
	"$B[I[J[K[L[M[N[O[P[Q[R[S[T[U[V[W]I]J^&^'^(^)^*^+^,^-^.^/^0_W_Y_Z_[(B"
	"$B_\`)`,`2`B`C`D`]`^`_```aa%a&a'a(a8a9a:a<aNaOb#b'b=b>b?b@bbbfbgc;(B"
	"$Bc<c>cWcicjcsd~e!e}f)fpfqfrfsftfufvfwgMh!h"h#h$h%h&h'h(h)h*h+h,h-(B"
	"$BhOjRjSjUjVk>mjmkmmnDoYoyozo{pjplrk(B\n"
	"$B0"0'0)0F0w1!1(141:1W1Y1c2'2.26282F2H2Y2Z2c2e3"323=3J3K3t3x3|4<4P(B"
	"$B4Y4{5"5-5/52545K5N5\5s6*62636;6<6M6f6k6}7*7,71747>7C7K7e7p7s7u7}(B"
	"$B8.868D8K8d8g8u8v989;9@9I9L9R9W9\9_9b9d9|:,:6:9:B:C:K:O:V:^:b:s:u(B"
	"$B:w:y;&;+;/;7;=;D;U;f;i;~<@<F<M<S<Z<`<e<l<n<r=$=>=T=Z=^=c=q=y=z=|(B"
	"$B>%>,>->C>I>M>N>P?+?0?1?6?8?;?>???A?K?V?X?`?h?j@&@(@4@B@H@I@J@T@p(B"
	"$B@r@sA.AEAGARA\A^B$B)B*B.B5B9BSBYBoBwC,C?CMCQCWC\C`CaCoCqC|D?DLDm(B"
	"$BDpDrD~E#E/E8ELESEVEWE]E^E`EbEeEgEmEsF$F)F9F?FBFCG:G<G=GBGKGOGPG[(B"
	"$BG\G_GbGgGiGmG|H+H;HIHJHLH[HhHkHoI0I1I3I6I?IBIMIRIbJ4J6JEJYJ`JaJo(B"
	"$BJpJvJwJ{K$K6KBKdKiKqL.L0L2L<L=LWLfM0MFMaMiN.N1N5N9N?NANQN^NuNxO"(B"
	"$BO/O2O5OAOFP+P8P[PaPbPcPdPePfPhPiPjPkPlPmPnPoQJQMQNQOQYQZQpQqR'RW(B"
	"$BS'S(S)S*S+S,S-S.S/S:S}T1T<T=T>T?T@TBTxTyU.U/U0U1U2U3UaUbUqU~V!V6(B"
	"$BV7V8V9V;V<W2WMWkWlWnWsWyWzW{W}W~X!X"X#X%X&X'Y=YMYPYQYRYTY`ZCZSZT(B"
	"$BZUZVZgZhZiZjZp[Y[Z[[[\[][^[_[a[b[c]V]e]f^1^2^3^4^5^6^7^8^:_]_^__(B"
	"$B_``E`F`b`c`d`~a;a=aPaQaRaSaTaUaVaWb(b.b4bAbBbCbDbEbFbic,c-c.c/c0(B"
	"$Bc1c?c@cAcBcXckclcmctcucvd"d$dcdde"e#e$e~f*f+f6fBfCfMfNfQfRfVfWfx(B"
	"$Bfyg&gSgUgVgdgmgvh.h/h0h1h2h3h4h5h6h7h8h9h:h;h<h=h>iJiNiOiPiQiRiS(B"
	"$BjHjIjOjPjWjXjYjZj[j\k?k@kAl1l9lbm;mompmqmrm~n;n<n>n[n\n]n^o}o~p!(B"
	"$Bp"p#qur(r.r/(B\n"
	"$B0-040A0C0S0T0[0\0`0h0o0|1"1U1f1k2+232[2_3#33363B3L3T3]3^3a3e3i3k(B"
	"$B3q3u4%4*454S4c4p4s5,55565E5F5S5_5e5u5v5{6/656?6]6m6v6|7!767<7G7L(B"
	"$B7M7P7V7m7q7r8#818=8>8?8S8h9/959<9u9{:":':-:.:/:0:L:N:Q:W:X:Y:Z:j(B"
	"$B:k:{:|;);4;:;B;g;k<&</<6<9<=<E<N<O<P<X<a<d<x=*=,=5=B=I=J=M=Q=_=m(B"
	"$B=n>&>'>+>9>?>D>O>R>T>Y>j>o>p>}?<?B?J?Z?d?l?r?x?{?}@6@9@K@L@U@\@_(B"
	"$B@c@{A%A<A>AFAHAVA]A_AbAcAkB&B2BCBIBOB^BaBhBvC&C5C8CACGCbCvCxD"D%(B"
	"$BD&D/D:D;D=DDDOD[D]D`DdDeDtE+E:E<E>EHEKEQETEiEnEpEqExF+F0F2F:F@FR(B"
	"$BFWFZFhFpG-G1G4G8G>GLGSGTG]GfGtGuHNHTI)I-I7I<IAIKIOISIVIXIZIdItI{(B"
	"$BJDJPJZJnJxK#K(K,K>KUKYKcL)L3LTLdLnLuM#M*M9MGM_MbMdM|M}N&N(N+N,N0(B"
	"$BN3N4NBNCNDNMNTN_O,PpPqPsPtPuPvPwPxPyQ]Q`QrQuQ{R(R6R7R?RNRTRXS0S1(B"
	"$BS3S4S5S6S7S8S9S;S~T!T"TATCTDTmU4U5U6U7U8U9U:UYUcUdUeUrUsV=V>V@VA(B"
	"$BVBVCVDVEVFVGVhViW:WBWOWPWQWRW|X$X)X+X,X.X/X0X1X~YUYVYWYXYYY[Y\Y](B"
	"$BY^Y_ZDZEZFZGZOZWZkZlZmZnZoZq[-[`[d[e[f[g[h[i[j[k[l[n[o[p[q[r[t[u(B"
	"$B]7]8]K]\]]^;^<^=^>^?^@^A^B^C^D^E^F^G^H^I^J^K^L^M^N^Q_X_a_b`3`5`G(B"
	"$B`H`I`J`K`L`f`ia!a)a*a>a?a@aXaYaZb)b5b6bGbHbkcZcncwcxcyczc{c|c}e%(B"
	"$Be&e'e(e)e*e+f7f8f9fDfSfXfYfzf{f|f}gNgWgXh?h@hAhBhChDhEhFhGhHhIhJ(B"
	"$BhKhLhMhNhRiTiUiViWiXiYi[jJjQjTj]j^j_j`jajbk,kBkCkDl.lAlClDlElIle(B"
	"$BlflgmCmDmsmtmumvmwmxmymzn%n=nEnFn_n`naneoZo[o|p$p%pUpoqDsCsNsP(B\n"
	"$B0*0.0/0<0@0N0X0{12191<1?1@1D1M1S1[1a1g1y1|292a2l3(3+3,3.393?3C3P(B"
	"$B3d3~4!4(4-4.494:4=4>4V4W4g4n4v4x4|4}5)5.5=5J5P5k5t5w6,6G6K6O6P6V(B"
	"$B6W6Z6t6w6x6y7(7I7J7Z7a7k7v7w7x7~8!8'8:8P8V8[8f9"929A9E9J9P9`:>:G(B"
	"$B:T:[:f:v;1;6;[;l;u<"<4<><H<Q<f="=0=8=W=[=g=k>!>8>=>E>F>G>K>Q>Z>[(B"
	"$B>]>l>v?"?#?9?G?R?Y?\?]?_?k?o?z@2@3@G@dA1A3A=AAABAJAOASAZAiArAuB,(B"
	"$BB0B7B:B=BBBDBFBXB_BbC#C'C*C9C;CFCRCYC^CeCpCyC}D+D1D6DGDKDMDiDsDx(B"
	"$BE=EOEPEcEkEoErEwEyEzE{E}F!F8F;FXF[F_G#G,GAGJGQG^GcGkGnH#H&H.H5H:(B"
	"$BHCHSHUHVHZHaHbHeHqHwH|I+I.I/I2I>IHILIYIaIrIxI|I}J%J2J7J=JWJdJgJs(B"
	"$BK5K9K@KGK~L+L5L:L;LILcLeL{M,M/M1M5M7M:MHMIMUMZM[MmMnMrN!N#N*N2NL(B"
	"$BNVN]NvN{O-O=OGOPOQOSP0PzP{P|QKQsQtR)RERORPS2S<S=S?S@SASBSCSDSESF(B"
	"$BSGSHSISJT#TETFTHTNTdTeTfTzT{U;UZUfUgV#V?VHVIVJVKVjVkVlVsVzV{W6WE(B"
	"$BWSW\X(X*X3X5X7X8X9X:X;X<X=X?Y!YZYaYbYcYdYeYfYgYhYiZHZIZrZsZu[.[s(B"
	"$B[v[w[x[y[z[{[|[}[~\!\"\#\%\&\'\(\)\*\+\,\-\.\/\0\1\2]9]:]L]M]W]^(B"
	"$B]_^O^P^R^S^T^U^V^W^X^Y^Z^[^\^]^^^_^a^b^c_c_d`*`0`4`6`M`N`O`P`h`j(B"
	"$B`ka4aAaBaGa[a\a]b$b*b+b/bIbmc2cCcDcYc[c\cocpc~d#d%d&d-d8dedfdgdh(B"
	"$Bdidje,e-e.e/e0e1e2e3fEfFfOfZf~g!g"g#g$g%hPhShThUhWhXhYh[h\h]h^h_(B"
	"$Bh`hahbhdi\i]i^i_i`iaibjek)k-k8k9k:kEkFkGkHkIkJl:lFlHlJlLl_lclhli(B"
	"$Bljlklllmm<mEmFmGmcm{m|m}n?nGnHnXnbncndnfngoOo\o]p&pVpWq$qGqHsct!(B\n"
	"$B0&010;0E0U0c0n101`1l1n1s1t1v2G2K2R2^2k2m2r2t3437383:3S3V3Z3j3l3w(B"
	"$B4+4244464A4h4~5A5M6H6X6Y6r6s7"7$72797H7Q7S7X7d7f7y8%8(8/8;8X8Y8Z(B"
	"$B8]8j8k9B9[9x:7:@:D:E:I:P:\:a:g:l:q;L;b;m;n;q;s;t;|<,<-<;<p=%=/=7(B"
	"$B=X=]=`=p=}>)>H>U>\>`>x>~?(?2?5?7?U?g?p?s?t?~@*@;@?@W@]@a@o@yA"A#(B"
	"$BA'A(A)A5A:A?ALAMANA[AsB1B3B;BJBZB\BlB}C2CHCTCUCVCZC_D-D2D7DBDHDX(B"
	"$BDvDwDzE$E.E4E6EBEEEIEdF/FDFNF\FjFkFmFoG@GWG`GaGyH-H7H9HBHQHRHyIG(B"
	"$BIvJ!J"JhK)K*K-K0KSKZKkL,L-L4LALGLNLXLlLwL|M2M@MBMCMLMOMVMgMkMoN"(B"
	"$BN/N:NGNkNmNwNzO!O(O)O0O1OCOEOMORP,P9PrP}P~Q!Q#Q$QvQwR*R+R,R-R;SK(B"
	"$BSLSMSNSOSPSQT$T'TITJTKTLTMTgT|U<U=U>U?U@UKULUkUvVLVMVNVmV|W;WCWT(B"
	"$BX2X4X6X>XAXCXDXFXHXIXKY"YSYjYlYmYnYoYqYrYsZPZXZtZvZwZx\$\3\4\5\6(B"
	"$B\7\8\9\:\;\<\=\>\?\@\A\B\C\D];]<]=]Z^d^e^f^g^h^i^j^k^l^m^o^p^q^r(B"
	"$B_e_h_i_j_k_l`Q`S`l`m`n`o`p`q`va3aCaDa^a_a`aaabacadaeb,b7bJbKbLbM(B"
	"$BbNbdblbnbobpbqc3cEcFcGcHcId!d'd(d)d*d+d,d.dkdldmdndqe4e5e6e7e8e9(B"
	"$BeFf,f-f.f:fTf[fgfhfig'g(g)g*g+g5gOgYhZhchehfhghhhihjhkhlhmhnhohp(B"
	"$BiKicidieifigihiiijikilimjKjcjdjfjhjijkjljmk;kKkLkMkNkOkPkQl6l;l<(B"
	"$Bl=lGlKl\lnlolplqm>mHmImJmRmdn!n"n#n$n&n'n(n@nInhninjnknlnmnonpnq(B"
	"$Bnvo^o_o`p'p(p)p3p4p5p6p;pXpqprpsq+q,qlqvrjrlrosFsf(B\n"
	"$B060=0]0p0~1#13161B1X1]1^1i2E2I2N2U3!353D3G3R3U3r3s474C4I4X4z5?5y(B"
	"$B6#6-6d6n7&7'7[8l8m9=9K9Q9Z9^9k9r9s9v9w:2:<:];!;(;;;@;o<$<'<?<C<W(B"
	"$B<o<z<{=F=N=o>(>4>X>c?*?:?P?i?|@"@:@=@@@E@Y@b@zA,A-A2A9AXAdAfAmAn(B"
	"$BAoAxA|A}A~BLBVC%C(C7C<C>CXCdD'D*D8DRDUDVE&E)E,EhF<FAFIFPFxG'G+Gs(B"
	"$BG}H$H%H1H3H6HjHlHuI!I#I:IeJ#J9JKJNJOJeJiJkK1KFKHKMKOKjKlK}L!L"L'(B"
	"$BL*LCLDLJLOLVL_M6MMMPMYM~N=NNNPN\NqNrN}O3O9Q"Q%Q&Q'Q(Q)Q*Q>QPR<RQ(B"
	"$BRRSRSSSTSUSVSWSXT%T&TGTOTPThTkTnT}T~UAUBUCUDUEU[UhUiUjUlUtV:VOVP(B"
	"$BVQVnVoVwV}V~W!X@XBXEXGXJXMXNXPXRXSXTXUXVXWXXXYY#YkYtYvYwZJZy[!\E(B"
	"$B\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\c]>]N^`^t^v^w^x^z^{^|^}(B"
	"$B^~_!_"_#_f_g_m_o_p`7`8`R`g`s`t`ua+a,a-afagahb0b1b8bObPbQbrbsbtbu(B"
	"$Bc4cJc]cqcrd/d0d1d2d3d4d5d6d7d9dodpe:e;e<e=e>e?e@eBeCeEeGenfGf\f](B"
	"$Bf^g,g-g.g/g0gIgJgPhQhqhrhshthuhwhxhyhzinioipiqirisitjgjjjnjojpj|(B"
	"$Bk.kRkSkTkUkVkWkXl>ldlrlsltlumKmLmen)n*nAnJnKnnnrnsntnunzoaobpRpY(B"
	"$BpZp[p\p]ppq%q&qIqmqwqxsisnt"t#t$(B\n"
	"$B0H0V0d1=1F1T1Z1\1o2#2*2/2T2\2]2n2o3I3N3c3z4?4B4F4K4R4e4o4r5#5&51(B"
	"$B575:5C5g6>6[6o6p7.7D7E7N7`7b7i8"8R9F9m;#;5;?;C;r<A<I<q=O=a=e=f=t(B"
	"$B={>3>@>V>W>^>|?3?L?[@!@A@f@q@x@}@~A*A+A8AeB"BzC/C=CBCLCrCsCtD,D3(B"
	"$BD4DFDPDYDyE"E(E0E1ERF"F'F3F4F5F>FlG.G2GEGMGZGeGhH"H(HOHWHXHYHmHp(B"
	"$BI&I(I8I;I@IFIPI_IfIjIoIqIsJ.J/J0J>J@JCJHJSJTJ^J_JfK+K/K=KKKPK`L%(B"
	"$BLKL[M+MRM\M]MzN-N8N@NJNKNXNnNyO%O@OOQ+Q,Q-Q.Q/Q3QQQ[QxQ|R=SYSZS\(B"
	"$BS]S^S_SbTQTRTSTWTXUFUGUHUIUmVRVSVWVpVqVrW"W#W$W%W&W'W<XLXOXQX\X](B"
	"$BX^X_XbXcY$YuYyYzY{Y|Y}ZK\Z\[\\\]\_\`\a\b\d\e\f\g\h\i\k\l\n\x]?]O(B"
	"$B]X]`^n^s^y_$_%_&_'_)_*_,_-_._/_0_1_3_9_L_q_r`U`r`w`xa0aiajakalam(B"
	"$Banb-b2bRbSbTbvbwbxbybzb{b|b}c5cKcLcMcNc_d:d;d<d=d>d?drdseDeHeIeJ(B"
	"$BeKeMeNeOf/f;f>fHfIf_g1g2g3g4g6g9gThVhvh{h|h}h~i!i#i$iuiviwixiyiz(B"
	"$Bi{i|i}i~j!j"j#j=jrjsjtjukYkZk[k\l2l?lMlNlOlvlwlxlym)mMmNmOmPmQmS(B"
	"$Bn+n,nBnCnLnMnNnwnxnyo%o&ocp<p=pQp^p_p`pupvq-q.qJqKqLqMqNqyqzq{q|(B"
	"$Bq}r)r0r1r7rmrnrprqsOsQsUso(B\n"
	"$B0,0>0^0b1.1C1O1P1R1m1r1u2)212:2u2{3<3M3_3{484M4T4[4\5!5+5L5x5z60(B"
	"$B666=6E6S707F7c7{8-8A8o9U9]9y:&:x;,;A;p<2<J<b<t<y=4=C=D=r>A>d>m>n(B"
	"$B>{?E?F?m?n@0@C@QA&A7A`BcBiByC.CEC[D5D|D}ECEuE|F,FFFKFUF^FeFfG3G;(B"
	"$BGvG{H0H8HKHrIEIyJ+J3JIK%KDKEKTKaLMLtLyM!M"M;MJMXMjN6NUNYNlO#O6O?(B"
	"$BP.PVQ1Q2QCQyQzQ}Q~R!R.R/S`SaScSdSeT(TTTVTYUJU\UnVTVUW(W)W4WUXZX[(B"
	"$BX`XaXdXeXhXjXkXmXnY%Y?Y~Z!Z"Z#Z$Z%Z'ZZZzZ{Z|Z}Z~["\m\o\p\q\r\s\t(B"
	"$B\u\v\w]@]A]P]Q_2_4_5_6_7_8_:_B_s_t_u_v_w_x_y`T`V`W`e`ya.a/aJaoap(B"
	"$Baqb9b:bUbVb~c!c"c`d@dAdBdDdEdJdtdudweLePeQeReSeUeVeWeXf<fUg7g8gE(B"
	"$BgKgZg[i%i&i'i(i)i*i+i,i-i/i0i1i2i3j%j&j'j1j2jLjvjyjzk/k0k]k^k_k`(B"
	"$Bkakbkckdkekfkgkkl3l7l`lzl{l|l}m?mTmUmVn-n.n/n2n{n|n}n~o!o"o#o$o'(B"
	"$Bodoeofogp*p+p9p:p>p?p@pApBpCpDpPpSptpwpxq/q0q1q3qOqPqQqRqXqnq~r!(B"
	"$Br*r8r9r:r;r<rrrsrurvrxrysGsRsXs}(B\n"
	"$B0G0k1E2(222b3E3`3m3v4D4Z4b5<5>5G6:6`6{7-7R8,80878i9G9V9X9c9h9j:)(B"
	"$B:z;$;';-;8<D<U<_=+=9=L=Y=l=~>L>_>a?$?v@SA!A/AgAlAzBWBuCCCID0DJDW(B"
	"$BD\E'EUF%F7FTFiG(G?IQJ5JMKnLYM%MAMcMfMwNENFNfNpN~ONQ0Q4RURYS[SfSg(B"
	"$BSjTZT[T\UMUNU^VVVXVYW=XfXiXlXoY&Z&Z(Z)Z*Z+Z,Z.Z/ZL[#[$[/[X\y\z\{(B"
	"$B\|\}\~]!](],]B]a^9_(_;_<_=_>_?_@_A_z_{_|_}`/`:`Xarasatavb;bWbXc#(B"
	"$Bc$c6c7c8cOcPccdCdGdHdIdKdLdMdNdveAeTeYe[e\e]e^e_e`eaf!fJf`fafbg:(B"
	"$Bg;g<g=g>g?g@gQg\g]gei4i5i6i7i8iLj(j)j*j+j,j-j.j/j0j3j<jqjwjxj{k1(B"
	"$Bk2khkikjklkmknkokukvl/l0l@lBlPlQlRl~m!m"m#m$m%m+mWmXmYn0n1n3n5nO(B"
	"$Bo(o)o*o+o,ohoiojokolp,p-p.p1p7papyq'q2q4q5q6qEqSqTqUr=r>r?r@rwrz(B"
	"$Br{r|r}r~sHsVsYsZs[sdsmsps~(B\n"
	"$B1-3;3O3[3\3y4J4Q4i536_82838q9t:?=V=s>q>w?%?&?w@XA6ACAQAyA{B#BjCu(B"
	"$BD(DCF#F.FqG)G9HMI5J$JJJ\K]KzK{L~MKMtMuNHNWN`RVShSiT]T^W3XpXsY'Z1(B"
	"$BZ2Z3Z4Z6Z9ZMZRZY[m\j]$]%]&]']C]E]R_C_D_E_F_G_H_I_n_~`!`"`Z`z`{a1(B"
	"$Ba2aubYbZb[b\b]b^c%c&c'c9cQcRcacbcddOdPdQdReZebecedeeefegf0f2fKfc(B"
	"$BgAgBg^i.i9i:i;i<j4j5j6j}k3k<kpkqkrksktl4lSlTm&m'm(m*mZm[m\mnnPnR(B"
	"$BnZo-o.o/o0o1omonoop8pEpbpcpdpzp{q7q8qFqVqWqor"r+r2r3r4rArBrCrDrE(B"
	"$BrFrGs!s"s#s$s%s&sIs\sjsl(B\n"
	"$B031$1p3*4f4j5B6@7+7Y7\7_84;*<%<1=3?q@%AIAtB!BMBdBmC~E-E2E?GFGxGz(B"
	"$BHvIhJmK2L8L9MeMvN%NoN|O&O<R0SkSlTUT`TbUOUpW*XgXqZ5[%]#])]*]+]-]T(B"
	"$B_+_J_K_M_N_O`#`1`9`Y`\a"aEaFawbjc(cSdSdTdUdZeheiejf1f=f?f@gDg_g`(B"
	"$Bgai"i=i>i?i@iAiBiCiDj$j7j8j9j:j;j?j~k!k$k*kwkxkykzk{k|k}lUlVm,m-(B"
	"$Bm.m0m@m]mfn4nQo2o4o5o6o7o8o9o:o;opp/pFpepfpkpnq9q:q;qYrHrIrJrKrL(B"
	"$BrNrOrPs's(s)s+s,sJsKsLsSse(B\n"
	"$B3>3b4`5D6%6A6B7|8n;<>b>y>z@RF*F-H'INMTMsOLSmSnT_TaUPUQURUoW-XrXu(B"
	"$BZ7['[0]"].]1^u_P_Q_R`$`[`|axb<b_bhc)c*cedVdYdydzekelemeoepf"fAfd(B"
	"$BgCgFiEiFj>j@k"k#k4k=k~l!l"l#lWlXm/m1m2m=m^nSnTnYo3o<o=o>o?o@oAoE(B"
	"$BoqpGq(q)q<q=qZq[q^r,rQrRrSrTrUrVrWrXrYrZr\s*s-s.s/sDs]s^sqsrssst(B\n"
	"$B0s4O8\9lBxDaE;FgIIKbLvLzO*Q5Q6SoSpSqSrSsStV$VZV[W+XvXwYpZ8[([1\^(B"
	"$B]/]0]2]D]S`%`}ayaza{a|cTc^dWdXd[d_eqeresetevezf#fLgGgbiZjAjBk%l$(B"
	"$Bl%lYlZl]m3m4m_mgnUoBoCoDoFoGorospHq*q>q?q@qAqBq\q]q_q`qpr#r5r[r](B"
	"$Br^r_r`rts0s1s2s3s4s5s6s7s8sMs_susv(B\n"
	"$B176C7%;>=1C-O8Q7Q8Q?SuV\V]W>XtZ:_SaHaIa}c:cUcfdFd\d]dxd{euf$f4fe(B"
	"$BgciGjFk&k5k6l&l[l^m5m6m7m`oHoIpIpJpgp|qCqaqbr$rMrarbrcrds9s:swsx(B"
	"$Bs|(B\n"
	"$B3o4U=2KpNZN[OIV^XxYxZ;Z<ZN]3a~d^d`ewexeyf%jCk'l'l(m8mambn6oJoKoL(B"
	"$BoMoTpTpipmp}qcqdqqqrqsqtr%res;s<s=s>sWs`(B\n"
	"$B:mBkSvSwb!b`e{f3gfjDjEjMk7l)l*l+l,mAnVoNpKpLpMpNphp~qer&r6rfrgs?(B"
	"$Bsgsyszs{(B\n"
	"$B15W,Z0_Tdad|gHjGk+m:nWoPoQpOq!r'sEsTsh(B\n"
	"$B]4bal-m9oRqfr-rhsa(B\n"
	"$BoSoUoVq"q#qgqhrisb(B\n"
	"$Be|oWoXqis@(B\n"
	"$B]5]6`&qksA(B\n"
	"$BqjsB(B\n" )
  "*SEIMEI-KANJI-KAKUSUU-LIST*" )
